#! /bin/sh
# postrm script for firebird2.5-common

set -eu

# summary of how this script can be called:
#        * <postrm> `remove'
#        * <postrm> `purge'
#        * <old-postrm> `upgrade' <new-version>
#        * <new-postrm> `failed-upgrade' <old-version>
#        * <new-postrm> `abort-install'
#        * <new-postrm> `abort-install' <old-version>
#        * <new-postrm> `abort-upgrade' <old-version>
#        * <disappearer's-postrm> `disappear' <r>overwrit>r> <new-version>

VER="2.5"
SYS_DB_DIR="/var/lib/firebird/$VER/system"
SEC_DB="$SYS_DB_DIR/security2.fdb"
RUN="/var/run/firebird/$VER"
LOG="/var/log/firebird$VER.log"

#DEBHELPER#

case "$1" in
    remove)
        # remove lock/init/guard files
        rm -f $RUN/isc_lock1.*
        rm -f $RUN/isc_init1.*
        rm -f $RUN/isc_guard1.*

    ;;
    purge)
        # remove log file
        rm -f "$LOG"
    ;;

esac

exit 0

# vi: set ts=8 sts=4 sw=4 filetype=sh ai et :
